
#ifndef __VIEWER_TEXT_H__
#define __VIEWER_TEXT_H__

#include "viewer3D.h"

class ViewerText {
public:
  ViewerText(int size=8, ViewerColor color=ViewerColor());
  void setTextColor(ViewerColor);
  void setTextSize(int size);
  void draw(int x, int y, const char* txt,...);

protected:
  void drawLetter(int x, int y, const char letter);

  int textSize_;
  ViewerColor textColor_;
  
};

#endif
