#include <stdio.h>
#include "robotFifo.h"

typedef RobotFifo<char, 10> MyFifo;
MyFifo fifo;
int main(int argc, char* argv[])
{
    int i=0;
    for(i=0;i<5;i++) {
        fifo.push_back(i);
    }
    printf("empty=%d\n", fifo.empty());
    printf("size=%d\n", fifo.size());
    printf("length=%d\n", fifo.length());
    fifo.dump();

    for(i=0;i<5;i++) {
        printf("elem[%d]=%d\n", i, fifo.front());
        fifo.pop_front();
    }
    printf("empty=%d\n", fifo.empty());
    printf("size=%d\n", fifo.size());
    printf("length=%d\n", fifo.length());
    fifo.dump();

    fifo.clear();
    printf("empty=%d\n", fifo.empty());
    printf("size=%d\n", fifo.size());
    printf("length=%d\n", fifo.length());
    fifo.dump();

    for(i=0;i<12;i++) {
        fifo.push_back(i);
    }
    printf("empty=%d\n", fifo.empty());
    printf("size=%d\n", fifo.size());
    printf("length=%d\n", fifo.length());
    fifo.dump();
    
    for(i=0;i<12;i++) {
        printf("elem[%d]=%d", i, fifo.front());
        fifo.pop_front();
    }
    printf("empty=%d\n", fifo.empty());
    printf("size=%d\n", fifo.size());
    printf("length=%d\n", fifo.length());
    fifo.dump();

    return 0;
}
