#ifndef __LSM_OPENGL_ROBOTDATA_H__
#define __LSM_OPENGL_ROBOTDATA_H__

#include "robotTypes.h"

class Viewer3D;

void initRobotData(int winId, Viewer3D* viewer);
void resetRobotData();
void displayRobotData(void);
void keyboardRobotData (unsigned char key, int x, int y);
void menuRobotData(int value);
void reshapeRobotData(int w, int h);
void idleRobotData(void);
void timerRobotData(int v);

void robotDataSetTimeScale(Millisecond Min, Millisecond Max);

#endif // __LSM_OPENGL_ROBOTDATA_H__
