#ifndef __LSM_OPENGL_ROBOTMAP_H__
#define __LSM_OPENGL_ROBOTMAP_H__

#include "robotTypes.h"

class Viewer3D;

void initRobotMap(int winId, Viewer3D* viewer);
void resetRobotMap();
void displayRobotMap(void);
void keyboardRobotMap (unsigned char key, int x, int y);
void menuRobotMap (int value);
void reshapeRobotMap(int w, int h);
void idleRobotMap(void);
void timerRobotMap(int v);

void robotMapSetTargetTrajectory(Trajectory const& t);
void robotMapSetCoveredDelay(double delay);

#endif // __LSM_OPENGL_ROBOTMAP_H__
